Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598192 - Regression from network manager of Fedora 12
Regression from network manager of Fedora 12
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 13:22 EDT by Dhaval Giani
Modified: 2010-06-04 22:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 22:28:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2010-05-31 13:22:26 EDT
While it is not exactly network manager, but the KDE version of network manager,  I do expect some of the features I had with Fedora 12 KDE here. Two of the most important ones,

1. Ability to setup the mobile broadband details automagically, as opposed to entering them manually.
2. Ability to setup VPN connection details from knetworkmanager itself.
Comment 1 Dhaval Giani 2010-05-31 13:23:47 EDT
[dhaval@gondor ~]$ rpm -qa | grep -i networkmanager
NetworkManager-openvpn-0.7.997-1.fc13.x86_64
knetworkmanager-0.9-0.19.20100419.fc13.x86_64
NetworkManager-glib-0.8.1-0.1.git20100510.fc13.x86_64
NetworkManager-openconnect-0.7.997-1.fc13.x86_64
NetworkManager-vpnc-0.8.0-1.git20100411.fc13.x86_64
knetworkmanager-libs-0.9-0.19.20100419.fc13.x86_64
NetworkManager-0.8.1-0.1.git20100510.fc13.x86_64
[dhaval@gondor ~]$ rpm -qa | grep mobile
mobile-broadband-provider-info-1.20100122-1.fc13.noarch
libimobiledevice-1.0.1-1.fc13.x86_64
[dhaval@gondor ~]$ 

Details of packages installed
Comment 2 Rex Dieter 2010-05-31 13:44:32 EDT
Not exactly the same products, so features/quirks will vary.  That being said, those are 2 areas of relative weakness.

Fwiw, nm-applet is still usable, if you prefer,
http://fedoraproject.org/wiki/KDE/Using_nm_applet_instead_of_knetworkmanager
Comment 3 Dhaval Giani 2010-05-31 19:31:02 EDT
well, as I mentioned in the original comment, I agree it is not the same product. Having said that, I still call this a regression as opposed to a future feature.

Sure, knetworkmanager does not provide the same features. All that means is that it is not ready for primetime. Use it in rawhide, but in the stable version please do not cut down on features.
Comment 4 Rex Dieter 2010-06-02 10:17:46 EDT
The definition of primetime is relative, of course.

Our criteria for default use considered those items only "nice to have" features, not essential or blockers.


Fwiw, here's an initial brief brainstorm/summary of some of the items we considered,
http://fedoraproject.org/wiki/User:Rdieter/FUDCon_Toronto_KDE_F13_TODOs#Knetworkmanager_Requirements
Comment 5 Steven M. Parrish 2010-06-04 22:28:11 EDT
Thanks for the report.  As Rex mentioned knetworkmanager is a work in progress and may not be suitable for all users.  Going to close this as NOTABUG.  To switch to the gnome applet please follow Rex's directions in comment #2



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.